% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/05_content.R
\name{as_sub}
\alias{as_sub}
\title{subscript chunk}
\usage{
as_sub(x)
}
\arguments{
\item{x}{value, if a chunk, the chunk will be updated}
}
\description{
The function is producing a chunk with
subscript vertical alignment.
}
\note{
This is a sugar function that ease the composition of complex
labels made of different formattings. It should be used inside a
call to \code{\link[=as_paragraph]{as_paragraph()}}.
}
\section{Illustrations}{


\if{html}{\figure{fig_as_sub_1.png}{options: width=30\%}}
}

\examples{
ft <- flextable( head(iris), col_keys = c("dummy") )

ft <- compose(ft, i = 1, j = "dummy", part = "header",
    value = as_paragraph(
      as_sub("Sepal.Length"),
      " anything "
    ) )

ft <- autofit(ft)
ft
}
\seealso{
Other chunk elements for paragraph: 
\code{\link{as_bracket}()},
\code{\link{as_b}()},
\code{\link{as_chunk}()},
\code{\link{as_image}()},
\code{\link{as_i}()},
\code{\link{as_sup}()},
\code{\link{gg_chunk}()},
\code{\link{hyperlink_text}()},
\code{\link{linerange}()},
\code{\link{lollipop}()},
\code{\link{minibar}()},
\code{\link{plot_chunk}()}
}
\concept{chunk elements for paragraph}
