% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/themes.R
\name{theme_vanilla}
\alias{theme_vanilla}
\title{Apply vanilla theme}
\usage{
theme_vanilla(x)
}
\arguments{
\item{x}{a flextable object}
}
\description{
Apply theme vanilla to a flextable:
The external horizontal lines of the different parts of
the table (body, header, footer) are black 2 points thick,
the external horizontal lines of the different parts
are black 0.5 point thick. Header text is bold,
text columns are left aligned, other columns are
right aligned.
}
\section{Illustrations}{


\if{html}{\figure{fig_theme_vanilla_1.png}{options: width=60\%}}
}

\examples{
ft <- flextable(head(airquality))
ft <- theme_vanilla(ft)
ft
}
\seealso{
Other functions related to themes: 
\code{\link{get_flextable_defaults}()},
\code{\link{set_flextable_defaults}()},
\code{\link{theme_alafoli}()},
\code{\link{theme_booktabs}()},
\code{\link{theme_box}()},
\code{\link{theme_tron_legacy}()},
\code{\link{theme_tron}()},
\code{\link{theme_vader}()},
\code{\link{theme_zebra}()}
}
\concept{functions related to themes}
